Bug 158976 - [Win] Implement modal dialog support in MiniBrowser.
Summary: [Win] Implement modal dialog support in MiniBrowser.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-20 23:27 PDT by Per Arne Vollan
Modified: 2016-06-22 01:38 PDT (History)
3 users (show)

See Also:


Attachments
Patch (8.66 KB, patch)
2016-06-20 23:37 PDT, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (8.76 KB, patch)
2016-06-20 23:57 PDT, Per Arne Vollan
bfulgham: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (621.89 KB, application/zip)
2016-06-21 01:00 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2016-06-20 23:27:51 PDT
MiniBrowser does not show modal dialogs on Windows.
Comment 1 Per Arne Vollan 2016-06-20 23:37:45 PDT
Created attachment 281718 [details]
Patch
Comment 2 Per Arne Vollan 2016-06-20 23:57:09 PDT
Created attachment 281720 [details]
Patch
Comment 3 Build Bot 2016-06-21 01:00:49 PDT
Comment on attachment 281720 [details]
Patch

Attachment 281720 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1540496

New failing tests:
fast/scrolling/ios/scrollTo-at-page-load.html
Comment 4 Build Bot 2016-06-21 01:00:50 PDT
Created attachment 281723 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.4
Comment 5 Brent Fulgham 2016-06-21 11:28:19 PDT
Comment on attachment 281720 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=281720&action=review

Cool! r=me.

> Tools/MiniBrowser/win/PrintWebUIDelegate.cpp:30
> +#include <CoreFoundation/CoreFoundation.h>

Should this be wrapped in a #if USE(CF) ?
Comment 6 Brent Fulgham 2016-06-21 11:29:11 PDT
Note: The iOS test failure cannot possibly be related to these Windows-specific Minibrowser changes. Please disregard the EWS error.
Comment 7 Per Arne Vollan 2016-06-22 01:37:41 PDT
Thanks for reviewing :)
Comment 8 Per Arne Vollan 2016-06-22 01:38:20 PDT
Committed r202327: <https://trac.webkit.org/changeset/202327>